Subject: What is the status of GSoC 2022 work on making Git use roaring bitmaps?

From: Jakub Narębski <[email-masked]>
Date: Thu, 23 Mar 2023 20:26:11 +0100

Hello,

Could you tell me what is the status of the Abhradeep Chakraborty work
in integrating roaring bitmaps (using CRoaring) in addition to, or
replacing current EWAH bitmaps (using ewok)? The last communication
about this shows that the patches were on the road to being merged in,
see e.g. https://medium.com/@abhra303/gsoc-final-report-feaaacfae737 ,
but there is no mention of 'roaring' in Git's code or documentation.

Moreover, there is no proposal to finish this on the GSoC 2023 ideas
page: https://git.github.io/SoC-2023-Ideas/ .  Is it because it would be
too small of a project?  Or maybe it turned out that roaring bitmaps
were not a good idea - though I haven't found mentions of any benchmarks
of roaring vs EWAH in the mailing list archives?  Or perhaps there is no
one to mentor this proposal?

Regards,
--
Jakub Narębski